Chapter 2. appspecifictokens
Manages app specific tokens for the current user.
2.1. createAppToken Copy linkLink copied to clipboard!
Create a new app specific token for user.
2.1.1. POST /api/v1/user/apptoken Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (user:admin)
2.1.2. Request body schema (application/json) Copy linkLink copied to clipboard!
Description of a new token.
| Name | Description | Schema |
|---|---|---|
| title required | Friendly name to help identify the token | string |
2.1.3. Responses Copy linkLink copied to clipboard!
2.1.4. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"title": "MyAppToken"
}' \
"http://quay-server.example.com/api/v1/user/apptoken"
2.2. listAppTokens Copy linkLink copied to clipboard!
Lists the app specific tokens for the user.
2.2.1. GET /api/v1/user/apptoken Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (user:admin)
2.2.2. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | expiring optional | If true, only returns those tokens expiring soon | boolean |
2.2.3. Responses Copy linkLink copied to clipboard!
2.2.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <access_token>" \
"http://quay-server.example.com/api/v1/user/apptoken"
2.3. getAppToken Copy linkLink copied to clipboard!
Returns a specific app token for the user.
2.3.1. GET /api/v1/user/apptoken/{token_uuid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (user:admin)
2.3.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | token_uuid required | The uuid of the app specific token | string |
2.3.3. Responses Copy linkLink copied to clipboard!
2.3.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <access_token>" \
"http://quay-server.example.com/api/v1/user/apptoken/<token_uuid>"
2.4. revokeAppToken Copy linkLink copied to clipboard!
Revokes a specific app token for the user.
2.4.1. DELETE /api/v1/user/apptoken/{token_uuid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (user:admin)
2.4.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | token_uuid required | The uuid of the app specific token | string |
2.4.3. Responses Copy linkLink copied to clipboard!
2.4.4. Example command Copy linkLink copied to clipboard!
$ curl -X DELETE \
-H "Authorization: Bearer <access_token>" \
"http://quay-server.example.com/api/v1/user/apptoken/<token_uuid>"